curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/bank_accounts/{bank_account} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "bank_account",
"data": {
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"institution_number": "320",
"institution_name": "President's Choice Bank",
"institution_name_translations": {
"en": "President's Choice Bank",
"fr": "Banque le Choix du Président"
},
"institution_name_translated": "President's Choice Bank",
"transit_number": "02002",
"transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
"account_number_last_3": "916",
"is_primary": false,
"is_deletable": true,
"warnings": {
"object": "list",
"data": []
},
"is_pad_signed": false,
"pad_signer_name": null,
"pad_signer_email": null,
"pad_signer_title": null,
"pad_signed_at": null,
"pad_file": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/bank_accounts/<id>"
}
}Retrieve a bank account
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/bank_accounts/{bank_account} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "bank_account",
"data": {
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"institution_number": "320",
"institution_name": "President's Choice Bank",
"institution_name_translations": {
"en": "President's Choice Bank",
"fr": "Banque le Choix du Président"
},
"institution_name_translated": "President's Choice Bank",
"transit_number": "02002",
"transit_address": "600-500 Lakeshore Blvd West POBOX600, Toronto, ON M5V 2V9",
"account_number_last_3": "916",
"is_primary": false,
"is_deletable": true,
"warnings": {
"object": "list",
"data": []
},
"is_pad_signed": false,
"pad_signer_name": null,
"pad_signer_email": null,
"pad_signer_title": null,
"pad_signed_at": null,
"pad_file": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/bank_accounts/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
business_entity, contractor, employee Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("bank_account").
- Default
- With employee expanded
- With contractor expanded
- With business_entity expanded
Hide child attributes
Hide child attributes
The 3-digit bank institution number.
The name of the banking institution matching the institution number, or null if the number is not recognized. Always the English name; see institution_name_translated for the value in the request's locale.
The translation of the institution_name property for the request locale. Computed using the values in institution_name and institution_name_translations and the value of the request's Accept-Language header.
The 5-digit bank transit number.
The address of the branch matching the institution and transit numbers, or null if the pair is not recognized.
The last 3 digits of the bank account number.
Whether this is the primary bank account for its owner.
Whether this bank account can be deleted.
Whether a PAD agreement has been signed. Only present for Business Entity bank accounts.
The name of the person who signed the PAD agreement. Only applicable to Business Entity bank accounts.
255The email address of the PAD agreement signer. Only applicable to Business Entity bank accounts.
255The title or role of the PAD agreement signer. Only applicable to Business Entity bank accounts.
255The date and time the PAD agreement was signed. Only applicable to Business Entity bank accounts.
The signed PAD agreement file. Only present for Business Entity bank accounts.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

